OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
object_widget.h File Reference

Types related to the object widgets. More...

Go to the source code of this file.

## Enumerations
enum | BuildObjectWidgets { WID_BO_CLASS_LIST, WID_BO_SCROLLBAR, WID_BO_OBJECT_MATRIX, WID_BO_OBJECT_SPRITE, WID_BO_OBJECT_NAME, WID_BO_OBJECT_SIZE, WID_BO_INFO, WID_BO_SELECT_MATRIX, WID_BO_SELECT_IMAGE, WID_BO_SELECT_SCROLL }
| Widgets of the BuildObjectWindow class. More...

## Detailed Description

Types related to the object widgets.

Definition in file object_widget.h.

## Enumeration Type Documentation

enum BuildObjectWidgets

Widgets of the BuildObjectWindow class.

Enumerator:

  WID_BO_CLASS_LIST | The list with classes.
  WID_BO_SCROLLBAR | The scrollbar associated with the list.
  WID_BO_OBJECT_MATRIX | The matrix with preview sprites.
  WID_BO_OBJECT_SPRITE | A preview sprite of the object.
  WID_BO_OBJECT_NAME | The name of the selected object.
  WID_BO_OBJECT_SIZE | The size of the selected object.
  WID_BO_INFO | Other information about the object (from the NewGRF).
  WID_BO_SELECT_MATRIX | Selection preview matrix of objects of a given class.
  WID_BO_SELECT_IMAGE | Preview image in the WID_BO_SELECT_MATRIX.
  WID_BO_SELECT_SCROLL | Scrollbar next to the WID_BO_SELECT_MATRIX.

Definition at line 16 of file object_widget.h.